Bug 235661 - www/otrs: missing dependencies
Summary: www/otrs: missing dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-11 09:57 UTC by vvv
Modified: 2019-08-05 12:14 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (m.tsatsenko)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vvv 2019-02-11 09:57:51 UTC
Hello,

The following run dependencies are missing in www/otrs port:

devel/p5-Class-Accessor-Lite - required by bin/otrs.Console.pl Maint::PostMaster::Read to receive incoming mail via procmail.

sysutils/p5-Schedule-Cron-Events - required by bin/otrs.Daemon.pl to process scheduled tasks.

textproc/p5-XML-LibXML-Simple - required by scripts/DBUpdate-to-6.pl.
Comment 1 m.tsatsenko 2019-02-11 13:00:32 UTC
Hello,
Please see bug #229240 for details, it contains a fix for p5-XML-LibXML-Simple and explanation why otrs is not to blame for p5-Class-Accessor-Lite module.

Could you please provide any evidence regarding p5-Schedule-Cron-Events (i.e. error message without p5-Schedule-Cron-Events installed and confirmation that with it everything works as desired).
Comment 2 vvv 2019-02-11 14:32:57 UTC
devel/p5-Class-Accessor-Lite - thank you for the explanation, reported it in bug #235669.

sysutils/p5-Schedule-Cron-Events - steps to reproduce:
pkg delete p5-Schedule-Cron-Events
su - otrs -c 'bin/otrs.Daemon.pl stop'
su - otrs -c 'bin/otrs.Daemon.pl start'
cat ~otrs/var/log/Daemon/SchedulerCronTaskManagerERR.log

Output:
[Mon Feb 11 15:53:28 2019] otrs.Daemon.pl: Kernel::System::CronEvent could not be loaded: Can't locate Schedule/Cron/Events.pm in @INC (you may need to install the Schedule::Cron::Events module) (@INC contains: /usr/local/otrs/Custom /usr/local/otrs/Kernel/cpan-lib /usr/local/otrs /usr/local/lib/perl5/site_perl/mach/5.28 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.28/mach /usr/local/lib/perl5/5.28) at /usr/local/otrs/Kernel/System/CronEvent.pm line 14.
[Mon Feb 11 15:53:28 2019] otrs.Daemon.pl: BEGIN failed--compilation aborted at /usr/local/otrs/Kernel/System/CronEvent.pm line 14.
[Mon Feb 11 15:53:28 2019] otrs.Daemon.pl: Compilation failed in require at /usr/local/otrs/Kernel/System/ObjectManager.pm line 254.
[Mon Feb 11 15:53:28 2019] otrs.Daemon.pl:  at /usr/local/otrs/Kernel/System/Daemon/SchedulerDB.pm line 1400.

p5-XML-LibXML-Simple - I didn't find the solution in bug #229240. Suggested patch adds 3 modules to dependencies:
p5-XML-Parser
p5-XML-LibXML
p5-XML-LibXSLT
But there is no p5-XML-LibXML-Simple. It's directly used in Kernel/System/XML/Simple.pm.
Comment 3 vvv 2019-06-22 10:00:36 UTC
sysutils/p5-Schedule-Cron-Events - fixed in otrs-6.0.19.

textproc/p5-XML-LibXML-Simple - not fixed yet.
Comment 4 m.tsatsenko 2019-08-04 21:50:11 UTC
As far as I understand it should be fine now. Please confirm there is no missing dependencies anymore.
Comment 5 vvv 2019-08-05 12:14:27 UTC
textproc/p5-XML-LibXML-Simple was the last missing dependency. Fixed in otrs-6.0.19_1 port.